<?php
header('Content-type: text/html; charset=utf-8');
/*
    Program E
Modifier par Claret Bruno fevrier 2013


	Copyright 2002, Paul Rydell

	This file is part of Program E.
	
	Program E is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Program E is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Program E; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/**
 * HTML chat interface
 * 
 * Contains the script that outputs the HTML interface for chatting
 * @author Paul Rydell
 * @copyright 2002
 * @version 0.0.8
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @package Interpreter
 * @subpackage Responder
 */




/**
* Include the guts of the program.
*/
 include "respond.php";


if (isset($HTTP_POST_VARS['input'])){


	$numselects=0;

	// Start the session or get the existing session.
	session_start();
	$myuniqueid=session_id();

// debut supression accent et caractere speciaux



$texte = $HTTP_POST_VARS['input'];
$texte = str_replace('\'', ' ', $texte);
$texte = str_replace('à', 'a', $texte);
  $texte = str_replace('â', 'a', $texte);
  $texte = str_replace('é', 'e', $texte);
  $texte = str_replace('è', 'e', $texte);
  $texte = str_replace('ê', 'e', $texte);
  $texte = str_replace('ë', 'e', $texte);
  $texte = str_replace('ô', 'o', $texte);
  $texte = str_replace('ù', 'u', $texte);
  $texte = str_replace('î', 'i', $texte);
  $texte = str_replace('ç', 'c', $texte);
$newinput = $texte;

// echo "variable avant desaccentuation  : ".$HTTP_POST_VARS['input'].'<br>'; // debug
// echo "variable apres desaccentuation  : ".$newinput.'<br>'; // debug

// fin supression accents




	// Here is where we get the reply.
	$botresponse=replybotname($newinput,$myuniqueid,$HTTP_POST_VARS['botname']);

	// Print the results.
     print "<b> vous : </b>".$newinput."<br>"; // ecrit le debut du dialogue
     print "<b>".$HTTP_POST_VARS['botname']." : </b>". $botresponse->response . "<BR>"; // ecrit le nom du robot et sa reponse 


	//print "<BR><BR>execution time: " . $botresponse->timer; //debug ecrit le temps de traitement
	//print "<BR>numselects= $numselects"; 
        
	//print_r($botresponse->inputs); //debug ecrit le cheminement de l analyse
	//print_r($botresponse->patternsmatched); //debug ecrit les mots reconnus

	// Include a form so they can say more. Note the hidden part for people that do not have trans sid on but want non-cookie users to be able to use the system.

// debut enregistrement du chat log dans le fichier historic.html

$reponse = $botresponse->response;

//echo "la reponse : ".$reponse;
$len = 4; // on definit la longueur a recuperer de l'id
$idcoupe = substr($myuniqueid,0,$len); // on coupe l'id
$date = date('l jS \of F Y h:i:s A');// on met la date et l heure dans une variable
$bot = $HTTP_POST_VARS['botname'];// on met le nom du robot dans une variable

$fp = fopen("historic.html","a"); // ouverture du fichier en écriture
fputs($fp, "<br> \n"); // on va a la ligne
// on écrit le dialogue dans le fichier et on va a la ligne <br> pour html \ pour le fichier texte
fputs($fp, "<span style='font-size: x-small;'> id : $idcoupe - $date</span><br>\n");
fputs($fp, "<b>user : </b></i> $newinput <br> \n"); 
fputs($fp, "<b>$bot : </b> $reponse <br> \n");
fclose($fp);



// fin chat log




	?>

	<html>
	<head>
	<title>Sample talk to Program E page</title>
	</head>
	<body>
	<form name="form1" method="post" action="talk.php">
	<input type="hidden" name="<?=session_name()?>" value="<?=$uid?>">
	<input type="hidden" name="botname" value="<?=$HTTP_POST_VARS['botname']?>">
	  Input: <input type="text" name="input" size="55" autofocus>

	  <input type="submit" name="Submit" value="Submit">
	</form>
     <p><a target="_top" href="admin/main.html">Administration</a></p>
	</body>
	</html>

<?
}
else {

	$availbots=array();

	// Get all the names of our bots.
	$query="select botname from bots";

    $selectcode = mysql_query($query);

    if ($selectcode){
        if(!mysql_numrows($selectcode)){
        }
        else{
            while ($q = mysql_fetch_array($selectcode)){
                $availbots[]=$q[0];
            }
        }
    }

	?>

	<html>
	<head>
	<title>Program E Tester</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	</head>

	<body bgcolor="#FFFFFF" text="#000000">
	<form name="form1" method="post" action="talk.php">

	Talk to: <select name="botname">
	<? 
	foreach ($availbots as $onebot){
		print "<option value=\"$onebot\">$onebot</option>";
	}
	?>
	</select><BR>

	  Input: <input type="text" name="input" size="55" autofocus>

	  <input type="submit" name="Submit" value="Submit">
	</form>
	      <p><a target="_top" href="admin/main.html">Administration</a></p>
	</body>
	</html>

	<?

}

?>
